<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): tiglApiVertex.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e1c3629206a62d7880de84e139cd6012.html">src</a></li><li class="navelem"><a class="el" href="dir_5923310312939235796ca11289acda83.html">common</a></li><li class="navelem"><a class="el" href="dir_94a155f7dc2906c9779926ac0a1b29ad.html">api</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tiglApiVertex.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="tiglApiVertex_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef TIGLAPIVERTEX_HPP_</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define TIGLAPIVERTEX_HPP_</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">/* Copyright (C) 2015 Texas Instruments Incorporated - http://www.ti.com/</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * modification, are permitted provided that the following conditions</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * are met:</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *    Redistributions of source code must retain the above copyright</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer.</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *    Redistributions in binary form must reproduce the above copyright</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer in the</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *    documentation and/or other materials provided with the</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *    distribution.</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *    Neither the name of Texas Instruments Incorporated nor the names of</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *    its contributors may be used to endorse or promote products derived</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *    from this software without specific prior written permission.</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment"> * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment"> * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment"> * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment"> * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment"> * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment"> * INCLUDES</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglContainersVertexBase_8hpp.html">tiglContainersVertexBase.hpp</a>&quot;</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglApiMessage_8hpp.html">tiglApiMessage.hpp</a>&quot;</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#ifdef CMEM_ENABLE</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#include &quot;tiglMemDdrAllocator.hpp&quot;</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglContainersAggregate_8hpp.html">tiglContainersAggregate.hpp</a>&quot;</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglUtilsMacros_8h.html">tiglUtilsMacros.h</a>&quot;</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="comment"> * NAMESPACES</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="keyword">using namespace </span>std;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="comment"> * TIGLApiVertex class</span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType = u<span class="keywordtype">int</span>_fast32_t, <span class="keyword">typename</span> MessageType = DblMessage&gt;</div>
<div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html">   83</a></span>&#160;<span class="keyword">class </span><a class="code" href="classTIGLApiVertex.html">TIGLApiVertex</a>: <span class="keyword">public</span> <a class="code" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase</a>&lt;DataType, AlgDataType, EdgeType, IdType&gt;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;{</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="comment">    * type definitions</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;   <span class="keyword">typedef</span> MessageType MESSAGE_TYPE;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;   <span class="keyword">typedef</span> vector&lt;MESSAGE_TYPE&gt; MESSAGE_BUF_TYPE;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;   <span class="keyword">typedef</span> InitType INIT_TYPE;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;   <span class="keyword">typedef</span> <a class="code" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt;AlgDataType&gt;</a> <a class="code" href="classTIGLContainersAggregate.html">AGGREGATE_TYPE</a>;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="comment">    * class attributes</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00103"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#a7f130ee572059d53540d2fe45012803a">  103</a></span>&#160;   <span class="keywordtype">bool</span> <a class="code" href="classTIGLApiVertex.html#a7f130ee572059d53540d2fe45012803a">flagActive</a>;</div>
<div class="line"><a name="l00105"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#a59c1819f355b9297fd943e02de1c9d1f">  105</a></span>&#160;   <span class="keyword">static</span> <a class="code" href="classTIGLContainersAggregate.html">AGGREGATE_TYPE</a> *<a class="code" href="classTIGLApiVertex.html#a59c1819f355b9297fd943e02de1c9d1f">aggregateInfoPtr</a>;</div>
<div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#abf0b30555edcb496a6605e442066eb11">  107</a></span>&#160;   <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code" href="classTIGLApiVertex.html#abf0b30555edcb496a6605e442066eb11">activeWithNoMessage</a>;</div>
<div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#a5f97f5c472444d212bf6ddfd217032e2">  109</a></span>&#160;   <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code" href="classTIGLApiVertex.html#a5f97f5c472444d212bf6ddfd217032e2">reactivateFlag</a>;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="comment">    * constructor/destructor</span></div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;   <a class="code" href="classTIGLApiVertex.html">TIGLApiVertex</a>(IdType key, <span class="keywordtype">bool</span> noMessageFlag, <span class="keywordtype">bool</span> inFlagReactivate);</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;   <a class="code" href="classTIGLApiVertex.html">TIGLApiVertex</a>(IdType key, DataType data, AlgDataType alg, <span class="keywordtype">bool</span> noMessageFlag = <span class="keyword">false</span>, <span class="keywordtype">bool</span> inFlagReactivate = <span class="keyword">true</span>);</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;   <a class="code" href="classTIGLApiVertex.html">TIGLApiVertex</a>(IdType key);</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;   <a class="code" href="classTIGLApiVertex.html">TIGLApiVertex</a>();</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;   <a class="code" href="classTIGLApiVertex.html">TIGLApiVertex</a>(IdType key, DataType data, AlgDataType alg);</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;   ~<a class="code" href="classTIGLApiVertex.html">TIGLApiVertex</a>();</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="comment">    * class methods</span></div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;   <span class="keywordtype">void</span> setParams(IdType key, DataType data, AlgDataType alg);</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> vote_to_halt();</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">bool</span> isActive();</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">bool</span> isActiveWithNoMessage();</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;   <span class="keywordtype">void</span> clear();</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">bool</span> canReactivate();</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> activate();</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> ALLOCATOR_TYPE&gt;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;   uint_fast32_t compute(MESSAGE_BUF_TYPE *pIn, vector&lt;MESSAGE_TYPE, ALLOCATOR_TYPE&gt; *pOut, uint_fast32_t numMessages);</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> ALLOCATOR_TYPE&gt;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;   uint_fast32_t init(INIT_TYPE *initParams, vector&lt;MESSAGE_TYPE, ALLOCATOR_TYPE&gt; *pOut);</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;   uint_fast32_t getMessageBufSize();</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> setAggPtr(<a class="code" href="classTIGLContainersAggregate.html">AGGREGATE_TYPE</a> *infoPtr);</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;};</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglImplementationVertex_8hpp.html">tiglImplementationVertex.hpp</a>&quot;</span></div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* TIGLAPIVERTEX_HPP_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="tiglContainersVertexBase_8hpp_html"><div class="ttname"><a href="tiglContainersVertexBase_8hpp.html">tiglContainersVertexBase.hpp</a></div></div>
<div class="ttc" id="classTIGLApiVertex_html_a7f130ee572059d53540d2fe45012803a"><div class="ttname"><a href="classTIGLApiVertex.html#a7f130ee572059d53540d2fe45012803a">TIGLApiVertex::flagActive</a></div><div class="ttdeci">bool flagActive</div><div class="ttdoc">active flag </div><div class="ttdef"><b>Definition:</b> tiglApiVertex.hpp:103</div></div>
<div class="ttc" id="tiglUtilsMacros_8h_html"><div class="ttname"><a href="tiglUtilsMacros_8h.html">tiglUtilsMacros.h</a></div></div>
<div class="ttc" id="classTIGLContainersAggregate_html"><div class="ttname"><a href="classTIGLContainersAggregate.html">TIGLContainersAggregate</a></div><div class="ttdoc">Base class for aggregate information. </div><div class="ttdef"><b>Definition:</b> tiglContainersAggregate.hpp:66</div></div>
<div class="ttc" id="tiglImplementationVertex_8hpp_html"><div class="ttname"><a href="tiglImplementationVertex_8hpp.html">tiglImplementationVertex.hpp</a></div></div>
<div class="ttc" id="classTIGLApiVertex_html_a5f97f5c472444d212bf6ddfd217032e2"><div class="ttname"><a href="classTIGLApiVertex.html#a5f97f5c472444d212bf6ddfd217032e2">TIGLApiVertex::reactivateFlag</a></div><div class="ttdeci">static bool reactivateFlag</div><div class="ttdoc">a flag when true the vertex can be reactivated by new messages, otherwise it never wake up once becom...</div><div class="ttdef"><b>Definition:</b> tiglApiVertex.hpp:109</div></div>
<div class="ttc" id="tiglContainersAggregate_8hpp_html"><div class="ttname"><a href="tiglContainersAggregate_8hpp.html">tiglContainersAggregate.hpp</a></div></div>
<div class="ttc" id="classTIGLApiVertex_html_a59c1819f355b9297fd943e02de1c9d1f"><div class="ttname"><a href="classTIGLApiVertex.html#a59c1819f355b9297fd943e02de1c9d1f">TIGLApiVertex::aggregateInfoPtr</a></div><div class="ttdeci">static AGGREGATE_TYPE * aggregateInfoPtr</div><div class="ttdoc">pointer to the aggregate information </div><div class="ttdef"><b>Definition:</b> tiglApiVertex.hpp:105</div></div>
<div class="ttc" id="classTIGLApiVertex_html_abf0b30555edcb496a6605e442066eb11"><div class="ttname"><a href="classTIGLApiVertex.html#abf0b30555edcb496a6605e442066eb11">TIGLApiVertex::activeWithNoMessage</a></div><div class="ttdeci">static bool activeWithNoMessage</div><div class="ttdoc">a flag when true the vertex is processed even with no message, if false it is processed only if there...</div><div class="ttdef"><b>Definition:</b> tiglApiVertex.hpp:107</div></div>
<div class="ttc" id="classTIGLApiVertex_html"><div class="ttname"><a href="classTIGLApiVertex.html">TIGLApiVertex</a></div><div class="ttdoc">Core vertex class for the TIGL Engine (with only output edge buffer). </div><div class="ttdef"><b>Definition:</b> tiglApiVertex.hpp:83</div></div>
<div class="ttc" id="classTIGLContainersVertexBase_html"><div class="ttname"><a href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase</a></div><div class="ttdoc">Core vertex class. </div><div class="ttdef"><b>Definition:</b> tiglContainersVertexBase.hpp:89</div></div>
<div class="ttc" id="tiglApiMessage_8hpp_html"><div class="ttname"><a href="tiglApiMessage_8hpp.html">tiglApiMessage.hpp</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:51 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
